%define         _enable_debug_packages  %{nil}
%define         debug_package           %{nil}
%define         _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so
%define         _name mplstereonet

Name:		python3-%{_name}
Version:	0.5
Release:	%mkrel 8
Summary:	Lower-hemisphere equal-area and equal-angle stereonets
License:	MIT
Group:		Sciences/Geosciences
URL:		https://github.com/joferkington/mplstereonet
# https://github.com/joferkington/{_name}/archive/v{version}.tar.gz
Source0:	%_name-%version.tar.gz

BuildRequires:	python3
BuildRequires:	python3-matplotlib >= 1.1
BuildRequires:	python3-numpy >= 1.1
BuildRequires:	python3-setuptools

Requires:	python3-matplotlib >= 1.1
Requires:	python3-numpy >= 1.1

%description
mplstereonet provides lower-hemisphere equal-area and equal-angle stereonets for matplotlib.


%prep
%setup -q -n %{_name}-%{version}
%autopatch -p1

%build
%{py3_build}

%install
%{py3_install}

%check
export PYTHONPATH=$RPM_BUILD_ROOT%{python3_sitearch}
MPLSTEREONETVER=`%{__python3} -c 'import mplstereonet; print(mplstereonet.__version__)'`
if [ $MPLSTEREONETVER -ne "%{version}" ];then
	exit $?
fi

# %find_lang %name

%files
%doc README.rst
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{_name}


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.5-8.mga8
+ Revision: 1533121
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 0.5-7.mga8
+ Revision: 1443538
- rebuild for python-3.8

* Tue Jan 08 2019 tv <tv> 0.5-6.mga7
+ Revision: 1352084
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.5-5.mga7
+ Revision: 1300436
- Mageia 7 Mass Rebuild

* Sun Aug 06 2017 philippem <philippem> 0.5-4.mga7
+ Revision: 1137626
- disable find lang
+ pterjan <pterjan>
- Rebuild for python 3.6

* Tue Feb 16 2016 umeabot <umeabot> 0.5-3.mga6
+ Revision: 962195
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 0.5-2.mga6
+ Revision: 888108
- rebuild for python 3.5

* Sun Aug 09 2015 matteo <matteo> 0.5-1.mga6
+ Revision: 862055
- imported package python3-mplstereonet

